#include "TOMLEAF.inc"
//XXXXXXXXXXXXXXXXXXXXX S E T T I N G S XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
//LEAF
#declare LEAF_TYPE=TESTLEAF//Name of leaf, you find in TOMLEAF.inc: Simple leaves or take better HF-leaves - or - create your own
#declare LEAF_LENGTH=8;//Length of leaf (I recommend, you imagine a tree with real dimensions, in cm);
#declare LEAF_BREADTH=5;//Width of leaf (I recommend, you imagine a tree with real dimensions, in cm);
#declare LEAF_THICKNESS=1.5;//Height of leaf (in cm; normally a leaf is very thin; but at leaves like a palmleaf it means the height of arch; 
#declare MAX_LEAF_TILT=0;//Tilt of leaf (in degree; this is the amplitude, I have build in a scope);
#declare MAX_LEAF_TURN=0;//Turn of leaf (in degree; this is the amplitude, I have build in a scope);
#declare MAX_LEAF_INCLINATION=-50;//Inclination of leaf (in degree; this is the amplitude, I have build in a scope);
//BLOSSOM
#declare BLOSSOM=TESTLEAF//Name of blossom;
#declare BLOSSOM_LENGTH=10;//Length of blossom
#declare BLOSSOM_WIDTH=7;//Width of blossom
#declare BLOSSOM_INCLINATION=0;//Inclination of blossom
#declare BLOSSOM_COLOR=<1,1,1>;//Color of blossom
//BUNCH
#declare BUNCH_MAJOR_RADIUS=30;//Inner radius of bunches in cm; distance of the innermost leaf of a bunch from the twig
#declare BUNCH_MINOR_RADIUS=20;//Outer radius of bunches in cm; distance of the innermost leaf from the outermost leaf of a bunch
#declare HORIZONTAL_BUNCH_FUNNEL=170;//Horizontal opening of bunch in degree
#declare VERTICAL_BUNCH_FUNNEL=170;//Vertical opening of bunch in degree
#declare HORIZONTAL_BUNCH_INCLINATION=0;//Horizontal inclination of whole bunch from twig alignment in degree;
#declare VERTICAL_BUNCH_INCLINATION=80;//Vertical inclination of whole bunch from twig alignment in degree;
#declare HORIZONTAL_BUNCH_INCLINATION_SCOPE=10;//Scope of horizontal inclination in degree 
#declare VERTICAL_BUNCH_INCLINATION_SCOPE=10;//Scope of vertical inclination in degree
#declare BUNCH_TURN_SWITCH=1;//To turn on (1) or turn off (0) the rotation of the bunch around the twig 
#declare BUNCH_ALTERNATE_SWITCH=0;//Here you can decide if bunches should alternate reciprocal at the twig (1=yes;0=no)
#declare BUNCH_INCLINATION_SWITCH=1;//To align (1) or not (0) the bunch with the twig to the end of the twig; horizontal... 
#declare VERTICAL_BUNCH_INCLINTION_SWITCH=1;//...and vertical 
#declare BUNCH_TAPER_OFF_AT_BRANCH=.35;//Adjustment to decrease the size of the outer bunches/twigs at the branch
#declare BUNCH_TAPER_OFF_AT_TREE=0.2;//Adjustment to decrease the size of the bunches at the top of the tree
#declare BUNCH_DEFORM=<1,1,1>;//Simple scale of the whole bunch
//TWIG
#declare BUNCH_START_AT_TWIG=80;//Distance from the branch to the first bunch at the twig
#declare TWIG_LENGTH=120;//The length of the twig;
#declare TWIG_STRENGTH=.5;//Strength of twig; 0=no twig; decrease this value for saving parsingtime or increase it if the twig falls in pieces 
#declare TWIG_THICKNESS_CHANGE=.6;//Use this factor to change the thickness of the twig, that normally(1) depends on the thickness of the branch
#declare HORIZONTAL_TWIG_INCLINATION=50;//Horizontal inclination of twig with bunches to the branch in degree
#declare VERTICAL_TWIG_INCLINATION=40;//Vertical inclination of twig with bunches to the branch in degree
#declare HORIZONTAL_TWIG_INCLINATION_SCOPE=10;//Scope of horizontal inclination in degree  
#declare VERTICAL_TWIG_INCLINATION_SCOPE=10;//Scope of vertical inclination in degree
#declare TWIG_INCLINATION_SWITCH=.8;//To align(1) or not(0) the twig/bunches with the branch to the end of the branch horizontal...
#declare VERTICAL_TWIG_INCLINATION_SWITCH=.8;//...and vertical 
#declare TWIG_TURN_SWITCH=1;//To turn on (1) or turn off (0) the rotation of the twig around its longitudinal axis
#declare TWIG_ALTERNATE_SWITCH=0;//here you can decide if twigs should alternate reciprocal at the branch (1=yes;0=no) and don't turn aroung the branch
#declare TWIG_CURVE_ADJUSTMENT=1;//Here you can reduce (or increase) the curves of the twig which normally(1) depends on the curves of the branch
//BRANCH
#declare TWIG_START_AT_BRANCH=60;//Distance from the first/innermost twig at the branch to the trunk
#declare TWIG_RANGE_AT_BRANCH=150;//Distance from the innermost to the outermost twig at the branch
#declare BRANCH_THICKNESS_CHANGE=.5;//Factor for changing the thickness of the branch that normally(1) depends on the thickness of the trunk 
#declare BRANCH_STRENGTH=.5;//decrease this strength of branch to save parsingtime or increase it if the branch falls in pieces; 
#declare BRANCH_BEND=50;//Width of the outer bend of the branch
#declare BRANCH_BEND_FREQUENCY=1.0;//Frequency of the outer bend of the branch
#declare HORIZONTAL_BRANCH_BEND_SWITCH=1;//switch on (1) or off (0) the horizontal outer bend 
#declare BRANCH_CURVE=10;//Width of the inner bend that fit into the outer bend of the branch
#declare BRANCH_CURVE_FREQUENCY=6;//Frequency of the inner bend of the branch 
#declare HORIZONTAL_BRANCH_CURVE_SWITCH=1;//switch on (1) or off (0) the horizontal inner bend 
#declare BRANCH_LONGITUDINAL_CURVE=.75;//To adjust the curves along the longitudinal axis of the branch; 0=no inner bend in longitudinal direction; 1=equal to lateral direction
#declare BRANCH_SNAG=3;//Width of the innermost bend (knots, gnarled) of the branch - fit into inner bend
#declare BRANCH_SNAG_FREQUENCY=10;//Frequency of the innermost bend
#declare BRANCH_REDUCTION=.2;//This reduces the length of branches towards the top of the trunk (1=highest branch is 0 cm)(0=same length of highest and lowest branch) 
#declare BRANCH_TAPER_OFF=1;//Adjustment, how fast the thickness of the branch goes to 0 towards its end
#declare BRANCH_END=0;//If you want that the branch ends at the outermost twig than set to 0; if you set it to 1, the branch ends one twiglength after the last twig 
#declare BRANCH_TURN_SWITCH=1;//Switch on (1) or off (0) the turn of the branches around its longitudinal axis
#declare BRANCH_ALTERNATE_SWITCH=0;//Here you decide, that branches alternate reciprocal at the trunk and don't turn around the trunk
#declare BRANCH_SPIRAL=30;//Additional spiral in the branch (in degree: 360 = turn around once) 
#declare BRANCH_INCLINATION=30;//Inclination of the lowest branch to the trunk (upwards the branches will align with the trunk automatically)
//TRUNK
#declare BRANCH_START_AT_TRUNK=200;//Distance from the ground to the first/lowest branch at the trunk
#declare BRANCH_RANGE_AT_TRUNK=200;//Distance from the first/lowest to the last/highest branch at the trunk
#declare TRUNK_RADIUS=15;//Radius of the trunkthickness
#declare TRUNK_STRENGTH=.5;//Strength of the trunk; you can increase the value if the trunk falls in pieces to close the line
#declare TRUNK_BEND_X=5;//Width of bend in x-direction -15
#declare TRUNK_BEND_Z=5;//Width of bend in z-direction -15
#declare TRUNK_BEND_X_FREQUENCY=1.5;//Frequency of x-bend -1.5
#declare TRUNK_BEND_Z_FREQUENCY=1.5;//Frequency of z-bend
#declare TRUNK_CURVE=10;//Width of inner bend (fit into bend) of the trunk
#declare TRUNK_CURVE_FREQUENCY=2;//Frequency of inner bend
#declare TRUNK_SNAG=5;//Width of innermost bend of the trunk (fit into the inner bend)
#declare TRUNK_SNAG_FREQUENCY=10;//Frequency of the innermost bend
#declare TRUNK_SPIRAL=100;//Additional spiral of the trunk in degrees (360 = turn around once)
#declare TRUNK_TAPER_OFF=.5;//How fast the thickness of the trunk decreases towards the top of the tree (1=no thickness at top of tree; 0=same thickness at bottom and top)
#declare TRUNK_LENGTHENING=1;//To make the trunk longer(cm); 0 means that the trunk ends at the highest branch 0;
#declare PALM_TRUNK=.2;//Makes a trunk with more heavy, regular knots, like a trunk of a palm (look at palm.inc);
//ROOT
#declare ROOT_THICKNESS_CHANGE=.5;//Change the thickness of the root that normally depends on the thickness of the trunk;
#declare ROOT_STRENGTH=.5;//Strength of the roots; decrease this value to save parsingtime or increase it if the root falls in piesces; 
#declare ROOT_TURN_SWITCH=0;//Switch on (1) or off (0) the turn around the root around its longitudinal axis
#declare ROOT_LENGTH=150;//Length of the root
#declare ROOT_INCLINATION=30;//The inclination of the uppermost root to the trunk in degree; starts(0) at horizontale, increase downwards;
#declare ROOT_BEND=50;//Width of the bend of the root 
#declare ROOT_BEND_FREQUENCY=2;//Frequency of the bend
#declare ROOT_SNAG=10;//Width of the inner bend of the root 
#declare ROOT_SNAG_FREQUENCY=5;//Frequency of the inner bend
#declare ROOT_START_AT_TRUNK=25;//Height(cm) of the uppermost root at the trunk
//BARK
#declare TRUNK_COLOR_1=<0.40625, 0.28516, 0.16797>;//<-.1,-.1,-.1>;//First color of the bark representing its "valleys"; value lower than 0 for more deep and width
#declare TRUNK_COLOR_2=<0.40625, 0.28516, 0.16797>;//Second color of the bark representing its "ridges" and seems to be the color of the trunk 
#declare TRUNK_SCAR_WIDTH=60;//Width of grain of bark(cm)  
#declare TRUNK_SCAR_HEIGHT=15;//Height of grain of bark(cm)
#declare SCAR_DEPTH=-1;//Depth of gnarled bark (it's a value for normal{})
#declare BARK_PROFILE=.0;//This is a "real" bark; similar to "PALM_TRUNK" but vertical;
#declare BRANCH_BARK_PROFILE_CHANGE=.0;//Here you can change the "BARK_PROFILE" for the branches (1=same as trunk; 0=no "BARK_PROFILE")
#declare ROOT_BARK_PROFILE_CHANGE=.0;//The same for the roots; branches and roots fall in pieces if their bark_profile is too high;
//FOLIAGECOLOR
#declare BOTTOM_COLOR_1=<0.5,0.4,0>;//First color of the lower leaves
#declare BOTTOM_COLOR_2=<0.4,0.5,0>;//Second color of the lower leaves
#declare TOP_COLOR_1=<0.5,0.6,0>;//First color of the upper leaves
#declare TOP_COLOR_2=<0.2,.8,0>;//Second color of the upper leaves
#declare COLOR_TURB=.5;//Turbulence of these colors
#declare TRANSITION_BOTTOM_TOP=0.5;//Where the changing of these colors should start in vertical direction; it's relative to the height of the tree (0.5 = height_of_tree/2)
#declare TRANSITION_TURB=.5;//Turbulence in this changing of colors
#declare FOLIAGE_GLOSS=0.25;//If you want glossy leaves, set the value higher than 0 (like phong)
//TREE
#declare BRANCH_NUMBER=9;//10 The quantity of all branches at the tree
#declare TWIG_NUMBER=60;//The quantity of all twigs at the tree (the quantity of twigs at the branch is ZWEIGZAHL/ASTZAHL)
#declare BUNCH_NUMBER=300;//The quantity of all bunches at the tree (the quantity of bunches at the twig is STAUDENZAHL/ZWEIGZAHL)
#declare LEAF_NUMBER=18000;//The quantity of all leaves at the tree
#declare BLOSSOM_NUMBER=0;//The quantity of all blossoms at the tree
#declare ROOT_NUMBER=4;//The quantity of all roots at the tree
#declare BRANCH_RANDOM=7071.3973;//Each value results in a new variation/arrangement of the equal branches and twigs/bunches - play with it! 
#declare ROOT_RANDOM=163;//The same for the roots
//XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
